Bug 215616 - ALSA sound card order inconsistent
ALSA sound card order inconsistent
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-11-14 15:59 EST by Martin Ebourne
Modified: 2008-02-07 23:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:28:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Ebourne 2006-11-14 15:59:08 EST
Description of problem:
I have a machine with an internal sound card and an external (usb) sound card.
Up until now the internal card has always been #0 and the external #1. As of
2.6.18-1.2849.fc6 this is no longer the case, often (but not always) the
external is #0 and the internal is #1.

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2849.fc6@x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Reboot
2. Check sound card ordering (eg. with alsamixer)
  
Actual results:
The sound cards are in a different order on a random basis.

Expected results:
Internal sound card is #0 and external usb is #1.

Additional info:
This works perfectly well up to and including kernel-2.6.18-1.2798.fc6@x86_64.

Internal sound card is:
00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237 A
C97 Audio Controller (rev 60)
        Subsystem: Giga-byte Technology GA-7VAX Onboard Audio (Realtek ALC650)

USB sound card is:
Bus 001 Device 008: ID 041e:3040 Creative Technology, Ltd 
  iProduct                2 SB Live! 24-bit External
Comment 1 Martin Ebourne 2006-11-26 18:32:12 EST
I've just upgraded another machine to FC6 and this has gained random soundcard
ordering too. Same type of external soundcard, completely different motherboard:

00:06.0 Multimedia audio controller: nVidia Corporation nForce3 250Gb AC'97 Audi
o Controller (rev a1)
        Subsystem: nVidia Corporation Unknown device 0c11

Again the only workaround is to run an old kernel. Any better suggestions on
this one?
Comment 2 Jima 2007-05-02 16:40:09 EDT
I just happened across this bug.  Has this behavior changed with newer kernels?
 If not, have you tried forcing the ordering by putting things in
/etc/modprobe.conf (or /etc/modprobe.d/*) like such?

alias snd-card-0 snd-ens1371
alias snd-card-1 snd-es18xx

Replace with the appropriate drivers.  (Assuming, of course, the two devices
don't use the same driver.)
Comment 3 Martin Ebourne 2007-08-28 17:46:37 EDT
The latest kernels (2.6.20 onwards) seem to fairly consistently get the external
usb sound card as number 0 and the onboard as card 1, no idea why.

Adding the lines you suggest makes no difference at all:
alias snd-card-0 snd-via82xx
alias snd-card-1 snd_usb_audio
Comment 4 Jon Stanley 2008-01-07 20:55:24 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 5 Jon Stanley 2008-02-07 23:28:41 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.